Subject: bug#19965: 24.3; diary-face-attrs and appt-warning-time-regexp cannot be combined

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 28 Dec 2020 02:27:18 +0100

Stefan Reichör <[email-masked]> writes:

> I use two features of the diary:
>
> a) The appointment warntime
>
> ,----
> | 27/02/2015 23:45 Test ## warntime 30
> `----
>
> That way I can override the warntime for an entry
>
> b) special text properties for the calendar view
>
> ,----
> | 27/02/2015 23:45 Test [background:yellow]
> `----
>
> Now I want to combine both features.
>
> I tried the following two variants, but they don't work:
>
> ,----
> | 27/02/2015 23:45 Test ## warntime 30 [background:yellow]

(I'm going through old bug reports that unfortunately got no response at
the time.)

So you have a test case, starting from "emacs -Q", to reproduce this
bug?  That'll be helpful when trying to fix this.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no